## org.eclipse.emf.cdo.server
Interface IStore

All Known Subinterfaces:
  IDBStore, IHibernateStore, IMEMStore

All Known Implementing Classes:
  LongIDStore, Store

    public interface IStore

Nested Class Summary
`static class` `IStore.ChangeFormat`
`static class` `IStore.RevisionParallelism`
`static class` `IStore.RevisionTemporality`

Method Summary
`CDOIDLibraryDescriptor` `getCDOIDLibraryDescriptor()`
`CDOIDLibraryProvider` `getCDOIDLibraryProvider()`
`CDOIDObjectFactory` `getCDOIDObjectFactory()`
`long` `getCreationTime()` Returns the store creation time.
`org.eclipse.net4j.util.om.monitor.ProgressDistributor` `getIndicatingCommitDistributor()`
`CDOIDMetaRange` `getNextMetaIDRange(int count)`
`IStoreAccessor` `getReader(ISession session)` Returns a reader that can be used to read from this store in the context of the given session.
`IRepository` `getRepository()`
`IStore.RevisionParallelism` `getRevisionParallelism()`
`IStore.RevisionTemporality` `getRevisionTemporality()`
`java.util.Set<IStore.ChangeFormat>` `getSupportedChangeFormats()`
`java.util.Set<IStore.RevisionParallelism>` `getSupportedRevisionParallelisms()`
`java.util.Set<IStore.RevisionTemporality>` `getSupportedRevisionTemporalities()`
`java.lang.String` `getType()`
`IStoreAccessor` `getWriter(ITransaction transaction)` Returns a writer that can be used to write to this store in the context of the given view.
`boolean` `isFirstTime()` Returns `true`if this store was activated for the first time, `false` otherwise.
`void` `setRepository(IRepository repository)` Internal.
`void` `setRevisionParallelism(IStore.RevisionParallelism revisionParallelism)`
`void` `setRevisionTemporality(IStore.RevisionTemporality revisionTemporality)`

Method Detail

### getRepository

    IRepository getRepository()

  Since:
    2.0

### setRepository

    void setRepository(IRepository repository)

  Internal.

  Since:
    2.0

### getType

    java.lang.String getType()

  Since:
    2.0

### getCDOIDObjectFactory

    CDOIDObjectFactory getCDOIDObjectFactory()

### getCDOIDLibraryDescriptor

    CDOIDLibraryDescriptor getCDOIDLibraryDescriptor()

### getCDOIDLibraryProvider

    CDOIDLibraryProvider getCDOIDLibraryProvider()

### getSupportedChangeFormats

    java.util.Set<IStore.ChangeFormat> getSupportedChangeFormats()

  Since:
    2.0

### getSupportedRevisionTemporalities

    java.util.Set<IStore.RevisionTemporality> getSupportedRevisionTemporalities()

  Since:
    2.0

### getSupportedRevisionParallelisms

    java.util.Set<IStore.RevisionParallelism> getSupportedRevisionParallelisms()

  Since:
    2.0

### getRevisionTemporality

    IStore.RevisionTemporality getRevisionTemporality()

  Since:
    2.0

### setRevisionTemporality

    void setRevisionTemporality(IStore.RevisionTemporality revisionTemporality)

  Since:
    2.0

### getRevisionParallelism

    IStore.RevisionParallelism getRevisionParallelism()

  Since:
    2.0

### setRevisionParallelism

    void setRevisionParallelism(IStore.RevisionParallelism revisionParallelism)

  Since:
    2.0

### getNextMetaIDRange

    CDOIDMetaRange getNextMetaIDRange(int count)

  Since:
    2.0

### getCreationTime

    long getCreationTime()

  Returns the store creation time.

  Since:
    2.0

### isFirstTime

    boolean isFirstTime()

  Returns `true`if this store was activated for the first time, `false` otherwise.

  Since:
    2.0

### getReader

    IStoreAccessor getReader(ISession session)

  Returns a reader that can be used to read from this store in the context of the given session.

  Parameters:
    `session` - The session that should be used as a context for read access or `null`. The store implementor is free to interpret and use the session in a manner suitable for him or ignore it at all. It is meant only as a hint. Implementor can use it as a key into a cache and/or register a `LifecycleEventAdapter` with it to intercept cleanup on session close. Note however that the session can be `null`, for example during startup of the server while the repositories are initialized but before any user session has been opened.
  Returns:
    a reader that can be used to read from this store in the context of the given session, never `null`.
  Since:
    2.0

### getWriter

    IStoreAccessor getWriter(ITransaction transaction)

  Returns a writer that can be used to write to this store in the context of the given view. The given view is always marked as a transaction.

  Parameters:
    `transaction` - The view that must be used as a context for write access. The store implementor is free to interpret and use the view in a manner suitable for him or ignore it at all. It is meant only as a hint. Implementor can use it as a key into a cache and/or register a `LifecycleEventAdapter` with it to intercept cleanup on view close.
  Returns:
    a writer that can be used to write to this store in the context of the given view, never `null`.
  Since:
    2.0

### getIndicatingCommitDistributor

    org.eclipse.net4j.util.om.monitor.ProgressDistributor getIndicatingCommitDistributor()

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.